Osmocom + Freerunner compilation issue

Holger Hans Peter Freyther holger at freyther.de
Sat Apr 23 19:38:30 UTC 2011


On 04/23/2011 05:37 PM, Holger Hans Peter Freyther wrote:
> On 04/22/2011 04:07 PM, zredlined wrote:
> 
>>> In file included from ../../src/gsmtap_util.c:37:
>>> /usr/include/netinet/in.h:365: error: expected declaration specifiers or
>>> '...' before '(' token
> 
> What is at that line? The issue is a bit of using a GNU Linux EABI toolchain
> when we are not really targeting Linux. I assume it fails on the stdint.h
> types again.
> 

You will need to remove the Makefile for the target libosmocore build update
the sourcecode and rebuild. I added a patch to inject an autoconf result.






More information about the baseband-devel mailing list